/// <reference types="node" />
import { Writable } from "stream";
/**
 * Uses the underlying Writable stream to output GTFS data
 */
export declare class GTFSFileStream {
    private readonly stream;
    private readonly fields;
    private readonly key;
    private headerSent;
    private seenKeys;
    constructor(stream: Writable, fields: string[], key?: string | null);
    /**
     * Write the given entity to the file stream
     */
    write(data: any): void;
    /**
     * Close the stream
     */
    end(): Promise<void>;
}
