import { GTFSZip } from "./loadGTFS";
import { GTFSFileStream } from "./GTFSFileStream";
/**
 * Merges multiple GTFS sets into a single stream for each GTFS file (stops.txt etc)
 */
export declare class MergedGTFS {
    private readonly calendarStream;
    private readonly calendarDatesStream;
    private readonly tripsStream;
    private readonly stopTimesStream;
    private readonly routesStream;
    private readonly agencyStream;
    private readonly stopsStream;
    private readonly transfersStream;
    private readonly transferDistance;
    private calendarHashes;
    private currentServiceId;
    private currentTripId;
    private stopLocations;
    private parentStops;
    private additionalTransfers;
    private dummyCalendar;
    constructor(calendarStream: GTFSFileStream, calendarDatesStream: GTFSFileStream, tripsStream: GTFSFileStream, stopTimesStream: GTFSFileStream, routesStream: GTFSFileStream, agencyStream: GTFSFileStream, stopsStream: GTFSFileStream, transfersStream: GTFSFileStream, transferDistance: number);
    /**
     * Merge in the given GTFS data set and push the new items to the file streams.
     */
    merge(gtfs: GTFSZip): void;
    private writeCalendars;
    private writeCalendar;
    private writeTrips;
    private writeAll;
    private writeTransfers;
    private writeStops;
    /**
     * Search any stops we've seen to see if we can walk there
     */
    private addNearbyStops;
    /**
     * Note this method of calculating distances between stations is flawed and only used as a rough guide.
     */
    private getDistance;
    end(): Promise<void>;
}
