import { Agency, Calendar, CalendarDate, Route, ServiceID, Stop, StopTime, Transfer, Trip } from "./GTFS";
/**
 * Returns trips, transfers, interchange time and calendars from a GTFS zip.
 */
export declare function loadGTFS(filename: string): Promise<GTFSZip>;
export interface GTFSZip {
    trips: Trip[];
    transfers: Transfer[];
    calendars: Calendar[];
    calendarDates: Record<ServiceID, CalendarDate[]>;
    stopTimes: StopTime[];
    routes: Route[];
    agencies: Agency[];
    stops: Stop[];
}
